## r-cran-sp 0.9

=== DESCRIPTION ===
Package: sp
Version: 0.9-81
Date: 2011-05-09
Title: classes and methods for spatial data
Author: Edzer Pebesma <edzer.pebesma@uni-muenster.de>, Roger Bivand
        <Roger.Bivand@nhh.no> and others
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Depends: R (>= 2.10.0), methods
Suggests: lattice, RColorBrewer, rgdal
Imports: utils, lattice, grid
Description: A package that provides classes and methods for spatial
        data. The classes document where the spatial location
        information resides, for 2D or 3D data. Utility functions are
        provided, e.g. for plotting data as maps, spatial selection, as
        well as methods for retrieving coordinates, for subsetting,
        print, summary, etc.
License: GPL (>= 2)
URL: http://r-spatial.sourceforge.net/
LazyLoad: yes
Collate: AAA.R Class-CRS.R CRS-methods.R Class-Spatial.R
        Spatial-methods.R projected.R Class-SpatialPoints.R
        SpatialPoints-methods.R Class-SpatialPointsDataFrame.R
        SpatialPointsDataFrame-methods.R Class-GridTopology.R
        Class-SpatialGrid.R Class-SpatialGridDataFrame.R
        Class-SpatialLines.R SpatialLines-methods.R
        Class-SpatialLinesDataFrame.R SpatialLinesDataFrame-methods.R
        Class-SpatialPolygons.R Class-SpatialPolygonsDataFrame.R
        SpatialPolygons-methods.R SpatialPolygonsDataFrame-methods.R
        GridTopology-methods.R SpatialGrid-methods.R
        SpatialGridDataFrame-methods.R SpatialPolygons-internals.R
        point.in.polygon.R SpatialPolygons-displayMethods.R zerodist.R
        image.R stack.R bpy.colors.R bubble.R mapasp.R select.spatial.R
        gridded.R asciigrid.R spplot.R over.R overlay.R spsample.R
        recenter.R dms.R gridlines.R spdists.R rbind.R flipSGDF.R
        chfids.R loadmeuse.R compassRose.R surfaceArea.R
Packaged: 2011-05-09 13:03:08 UTC; edzer
Repository: CRAN
Date/Publication: 2011-05-09 15:30:57

## r-cran-sp 0.9-66

=== debian/changelog ===
r-cran-sp (1:0.9-66-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Aug 2010 13:30:29 +0200

r-cran-sp (1:0.9-64-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * Depend on a version equal or superior than the R upstream release that
    was used to build this package, using a R:Depends substvar
    (debian/control, debian/rules).
  * debian/copyright: Upstream-Source field points to sp specific URL
  * debian/README.Debian: explain how to test this package

 -- Andreas Tille <tille@debian.org>  Thu, 20 May 2010 15:59:55 +0200

r-cran-sp (1:0.9-56-2) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2010 22:07:58 +0100

r-cran-sp (1:0.9-52-1) unstable; urgency=low

  * New upstream version
  * Address problem with versioning mentioned in NMU

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jan 2010 19:06:52 +0100

r-cran-sp (0.9.47-0+nmu0) unstable; urgency=low

  * NMU
  * New upstream release

  * The upstream version number is 0.9-47, but this package uses dots
    only, so the prior 0.9.44 sorts higher which prevents our cran2deb
    efforts where actual sp (>= 0.9-47) dependencies need to be satisfied
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Dec 2009 21:31:06 -0600

r-cran-sp (0.9.44-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2009 11:36:07 +0100

r-cran-sp (0.9.36-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Enhanced description
      Closes: #521002
    - Standards-Version: 3.8.1 (no changes needed)
    - Changed section to gnu-r

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2009 09:53:59 +0200

r-cran-sp (0.9.32-1) unstable; urgency=low

  * New upstream version
  * Depends: r-cran-lattice

 -- Andreas Tille <tille@debian.org>  Fri, 13 Mar 2009 09:46:25 +0100

r-cran-sp (0.9.29-1) unstable; urgency=low

  * Initial release (Closes: #512431).

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jan 2009 20:43:13 +0100

=== debian/control ===
Source: r-cran-sp
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0), cdbs, r-base-dev, r-cran-lattice
Standards-Version: 3.9.1
Homepage: http://r-spatial.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/R/r-cran-sp/trunk/

Package: r-cran-sp
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, r-cran-lattice
Description: GNU R classes and methods for spatial data
 This GNU R package provides classes and methods for spatial data. The
 classes document where the spatial location information resides, for 2D or
 3D data.  Utility functions are provided, e.g. for plotting data as maps,
 spatial selection, as well as methods for retrieving coordinates, for
 subsetting, print, summary, etc.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-sp package
# Copyright 2009 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

get-orig-source:
	. debian/get-orig-source

# Require a number equal or superior than the R version the package was built with.
# install/r-$(debRreposname)-$(cranName)::
install/r-cran-sp::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/r-$(debRreposname)-$(cranName).substvars

## r-cran-sp 0.9-73

=== debian/changelog ===
r-cran-sp (1:0.9-73-1) unstable; urgency=low

  * New upstream version
  * debian/rules: Fixed R:Depends code

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 08:27:54 +0100

=== debian/watch ===
version=3
# Same effect as dversionmangle, but we have to rename the orig.tar.gz
# anyway and it is easier to write a get-origsource script this way
# opts="uversionmangle=s/([\d.]+)-(\d)/$1.$2/"
opts="dversionmangle=s/([\d.]+)\.(\d)/$1-$2/" \
http://cran.r-project.org/src/contrib/sp_([-\d.]*)\.tar\.gz

## r-cran-sp 0.9-81

=== debian/changelog ===
r-cran-sp (1:0.9-81-1) unstable; urgency=low

  * Team upload.
  * New upstream release. Closes: #628354 (caused by a typo in the source).
  * Using Debhelper 8 (debian/control, debian/compat).
  * Removed completely debian/get-orig-source, and version mangling in
    debian/watch. This is not needed since 1:0.9-52-1.
  * Build-depend on R versions greater than R 2.10.0 (debian/control).
  * Converted debian/copyright to DEP 5 and documented a new file.
  * Renamed debian/README.Debian debian/README.test, and install it
    with debian/docs.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2.
    (debian/control, no changes needed).

 -- Charles Plessy <plessy@debian.org>  Sun, 29 May 2011 21:21:40 +0900

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0), cdbs, r-base-dev, r-cran-lattice
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.10.0), r-cran-lattice
+Standards-Version: 3.9.2
 Homepage: http://r-spatial.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/R/r-cran-sp/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-sp package
# Copyright 2009 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

get-orig-source:
	. debian/get-orig-source

# Require a number equal or superior than the R version the package was built with.
install/$(package)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars

## r-cran-sp 0.9.62-2

=== debian/changelog ===
r-cran-sp (0.9.62-2) unstable; urgency=low

  * lucid

 -- Debian Build User <build@build-deb>  Mon, 03 May 2010 06:51:51 +0000

r-cran-sp (0.9.62-1) unstable; urgency=low

  * New upstream release

 -- Debian Build User <build@build-deb>  Fri, 30 Apr 2010 10:44:37 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.10.0), r-cran-lattice
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0), cdbs, r-base-dev, r-cran-lattice
+Standards-Version: 3.8.1
 Homepage: http://r-spatial.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/R/r-cran-sp/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/R/r-cran-sp/trunk/
 
 Package: r-cran-sp
 Architecture: any
-Depends: ${shlibs:Depends}, ${R:Depends}, r-cran-lattice
+Depends: ${shlibs:Depends}, r-base-core, r-cran-lattice
 Description: GNU R classes and methods for spatial data
  This GNU R package provides classes and methods for spatial data. The
  classes document where the spatial location information resides, for 2D or

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-sp package
# Copyright 2009 by Andreas Tille <tille@debian.org>

include /usr/share/R/debian/r-cran.mk

get-orig-source:
	. debian/get-orig-source

## r-cran-sp 1.0

=== DESCRIPTION ===
Package: sp
Version: 1.0-15
Date: 2014-04-01
Title: classes and methods for spatial data
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
                    email = "edzer.pebesma@uni-muenster.de"),
            person("Roger", "Bivand", role = "aut",
                    email = "Roger.Bivand@nhh.no"),
	    person("Barry", "Rowlingson", role = "ctb"),
	    person("Virgilio", "Gomez-Rubio", role = "ctb"))
Depends: R (>= 2.14.0)
Imports: methods, graphics, utils, lattice, grid
Suggests: RColorBrewer, rgdal (>= 0.8-7), rgeos (>= 0.2-20), gstat
Description: A package that provides classes and methods for spatial
  data. The classes document where the spatial location information
  resides, for 2D or 3D data. Utility functions are provided, e.g. for
  plotting data as maps, spatial selection, as well as methods for
  retrieving coordinates, for subsetting, print, summary, etc.
License: GPL (>= 2)
URL: https://r-forge.r-project.org/projects/rspatial/
        http://rspatial.r-forge.r-project.org/
Collate: AAA.R Class-CRS.R CRS-methods.R Class-Spatial.R
        Spatial-methods.R projected.R Class-SpatialPoints.R
        SpatialPoints-methods.R Class-SpatialPointsDataFrame.R
        SpatialPointsDataFrame-methods.R Class-GridTopology.R
        Class-SpatialGrid.R Class-SpatialGridDataFrame.R
        Class-SpatialLines.R SpatialLines-methods.R
        Class-SpatialLinesDataFrame.R SpatialLinesDataFrame-methods.R
        Class-SpatialPolygons.R Class-SpatialPolygonsDataFrame.R
        SpatialPolygons-methods.R SpatialPolygonsDataFrame-methods.R
        GridTopology-methods.R SpatialGrid-methods.R
        SpatialGridDataFrame-methods.R SpatialPolygons-internals.R
        point.in.polygon.R SpatialPolygons-displayMethods.R zerodist.R
        image.R stack.R bpy.colors.R bubble.R mapasp.R select.spatial.R
        gridded.R asciigrid.R spplot.R over.R overlay.R spsample.R
        recenter.R dms.R gridlines.R spdists.R rbind.R flipSGDF.R
        chfids.R loadmeuse.R compassRose.R surfaceArea.R spOptions.R
        subset.R disaggregate.R sp_spat1.R merge.R
Packaged: 2014-04-09 17:36:35 UTC; edzer
Author: Edzer Pebesma [aut, cre],
  Roger Bivand [aut],
  Barry Rowlingson [ctb],
  Virgilio Gomez-Rubio [ctb]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-04-09 21:46:41

## r-cran-sp 1.0-9

=== debian/changelog ===
r-cran-sp (1:1.0-9-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Corrected homepage.
  * Suggests r-cran-rgdal (>= 0.8-7-1), according to DESCRIPTION.

 -- Charles Plessy <plessy@debian.org>  Wed, 01 May 2013 14:09:28 +0900

r-cran-sp (1:1.0-8-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Updated dependencies following DESCRIPTION.
  * Normalised VCS URLs following Lintian's standard.
  * Using Debhelper 9.
  * Normalised control and copyright files with cme.
  * Removed obsolete DM-Upload-Allowed field.
  * Conforms with Policy 3.9.4.
  * Acquire R:Depends directly from r-base-dev.

 -- Charles Plessy <plessy@debian.org>  Sat, 20 Apr 2013 11:15:12 +0900

=== debian/control ===
Source: r-cran-sp
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 2.14.0),
               r-cran-lattice
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-sp/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-sp/trunk/ 
Homepage: http://rspatial.r-forge.r-project.org/

Package: r-cran-sp
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-lattice
Suggests: r-cran-rcolorbrewer,
          r-cran-rgdal (>= 0.8-7-1),
          r-cran-rgeos (>= 0.1-8)
Description: GNU R classes and methods for spatial data
 This GNU R package provides classes and methods for spatial data. The
 classes document where the spatial location information resides, for 2D or
 3D data.  Utility functions are provided, e.g. for plotting data as maps,
 spatial selection, as well as methods for retrieving coordinates, for
 subsetting, print, summary, etc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

get-orig-source:
	. debian/get-orig-source

## r-cran-sp 1.0-15

=== debian/changelog ===
r-cran-sp (1:1.0-15-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jun 2014 15:43:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
-               r-base-dev (>= 2.14.0),
+               r-base-dev,
                r-cran-lattice
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-sp/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-sp/trunk/ 
 Homepage: http://rspatial.r-forge.r-project.org/
@@ -26,4 +27,3 @@
  3D data.  Utility functions are provided, e.g. for plotting data as maps,
  spatial selection, as well as methods for retrieving coordinates, for
  subsetting, print, summary, etc. 
-

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/sp_([-\d.]*)\.tar\.gz

## r-cran-sp 1.2

=== DESCRIPTION ===
Package: sp
Version: 1.2-5
Title: Classes and Methods for Spatial Data
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
				email = "edzer.pebesma@uni-muenster.de"),
			person("Roger", "Bivand", role = "aut",
            	email = "Roger.Bivand@nhh.no"),
			person("Barry", "Rowlingson", role = "ctb"),
			person("Virgilio", "Gomez-Rubio", role = "ctb"),
			person("Robert", "Hijmans", role = "ctb"),
			person("Michael", "Sumner", role = "ctb"),
			person("Don", "MacQueen", role = "ctb"),
			person("Jim", "Lemon", role = "ctb"),
			person("Josh", "O'Brien", role = "ctb"))
Depends: R (>= 3.0.0), methods
Imports: utils, stats, graphics, grDevices, lattice, grid
Suggests: RColorBrewer, rgdal (>= 0.8-7), rgeos (>= 0.3-13), gstat,
        maptools, deldir
Description: Classes and methods for spatial
  data; the classes document where the spatial location information
  resides, for 2D or 3D data. Utility functions are provided, e.g. for
  plotting data as maps, spatial selection, as well as methods for
  retrieving coordinates, for subsetting, print, summary, etc.
License: GPL (>= 2)
URL: https://github.com/edzer/sp/ https://edzer.github.io/sp/
BugReports: https://github.com/edzer/sp/issues
Collate: bpy.colors.R AAA.R Class-CRS.R CRS-methods.R Class-Spatial.R
        Spatial-methods.R projected.R Class-SpatialPoints.R
        SpatialPoints-methods.R Class-SpatialPointsDataFrame.R
        SpatialPointsDataFrame-methods.R Class-SpatialMultiPoints.R
        SpatialMultiPoints-methods.R
        Class-SpatialMultiPointsDataFrame.R
        SpatialMultiPointsDataFrame-methods.R Class-GridTopology.R
        Class-SpatialGrid.R Class-SpatialGridDataFrame.R
        Class-SpatialLines.R SpatialLines-methods.R
        Class-SpatialLinesDataFrame.R SpatialLinesDataFrame-methods.R
        Class-SpatialPolygons.R Class-SpatialPolygonsDataFrame.R
        SpatialPolygons-methods.R SpatialPolygonsDataFrame-methods.R
        GridTopology-methods.R SpatialGrid-methods.R
        SpatialGridDataFrame-methods.R SpatialPolygons-internals.R
        point.in.polygon.R SpatialPolygons-displayMethods.R zerodist.R
        image.R stack.R bubble.R mapasp.R select.spatial.R gridded.R
        asciigrid.R spplot.R over.R spsample.R recenter.R dms.R
        gridlines.R spdists.R rbind.R flipSGDF.R chfids.R loadmeuse.R
        compassRose.R surfaceArea.R spOptions.R subset.R disaggregate.R
        sp_spat1.R merge.R aggregate.R
NeedsCompilation: yes
Packaged: 2017-06-27 12:59:17 UTC; edzer
Author: Edzer Pebesma [aut, cre],
  Roger Bivand [aut],
  Barry Rowlingson [ctb],
  Virgilio Gomez-Rubio [ctb],
  Robert Hijmans [ctb],
  Michael Sumner [ctb],
  Don MacQueen [ctb],
  Jim Lemon [ctb],
  Josh O'Brien [ctb]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2017-06-29 09:07:36 UTC

## r-cran-sp 1.2-2

=== debian/changelog ===
r-cran-sp (1:1.2-2-1build1) yakkety; urgency=medium

  * No-change rebuild for r-base 3.3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 23:58:55 +0000

r-cran-sp (1:1.2-2-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * remove unused paragraph in d/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 23 Mar 2016 14:01:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-sp/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-sp/trunk/ 
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-sp/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-sp/trunk/
 Homepage: http://rspatial.r-forge.r-project.org/
 
 Package: r-cran-sp

## r-cran-sp 1.2-4

=== debian/changelog ===
r-cran-sp (1:1.2-4-1) unstable; urgency=medium

  * New upstream version
  * test depends from r-cran-rgeos
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jan 2017 23:15:23 +0100

r-cran-sp (1:1.2-3-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 13 Nov 2016 09:22:30 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-rgeos
Restrictions: allow-stderr

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/sp_([-\d.]*)\.tar\.gz

## r-cran-sp 1.2-5

=== debian/changelog ===
r-cran-sp (1:1.2-5-3) unstable; urgency=medium

  * Team upload.
  * Move packaging from SVN to Git.
  * Bump Standards-Version to 4.1.1.
  * Use secure URL in d/watch.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 16 Nov 2017 22:50:01 +0100

r-cran-sp (1:1.2-5-2) unstable; urgency=medium

  * Drop autopktests dependency on r-cran-rgeos,
    skip tests that fail without it (Closes: #859871)

 -- Graham Inggs <ginggs@debian.org>  Sun, 10 Sep 2017 07:08:10 +0000

r-cran-sp (1:1.2-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)
  * Add debian/README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 14:15:38 +0200

=== debian/control ===
Source: r-cran-sp
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-lattice
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-sp.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-sp.git
Homepage: https://cran.r-project.org/package=sp

Package: r-cran-sp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R classes and methods for spatial data
 This GNU R package provides classes and methods for spatial data. The
 classes document where the spatial location information resides, for 2D or
 3D data.  Utility functions are provided, e.g. for plotting data as maps,
 spatial selection, as well as methods for retrieving coordinates, for
 subsetting, print, summary, etc.

## r-cran-sp 1.2-7

=== debian/changelog ===
r-cran-sp (1:1.2-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 14 Mar 2018 09:42:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-sp.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp

## r-cran-sp 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sp
-Version: 1.2-5
+Version: 1.3-1
 Title: Classes and Methods for Spatial Data
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 				email = "edzer.pebesma@uni-muenster.de"),
@@ -11,7 +11,8 @@
 			person("Michael", "Sumner", role = "ctb"),
 			person("Don", "MacQueen", role = "ctb"),
 			person("Jim", "Lemon", role = "ctb"),
-			person("Josh", "O'Brien", role = "ctb"))
+			person("Josh", "O'Brien", role = "ctb"),
+			person("Joseph", "O'Rourke", role = "ctb"))
 Depends: R (>= 3.0.0), methods
 Imports: utils, stats, graphics, grDevices, lattice, grid
 Suggests: RColorBrewer, rgdal (>= 0.8-7), rgeos (>= 0.3-13), gstat,
@@ -45,7 +46,7 @@
         compassRose.R surfaceArea.R spOptions.R subset.R disaggregate.R
         sp_spat1.R merge.R aggregate.R
 NeedsCompilation: yes
-Packaged: 2017-06-27 12:59:17 UTC; edzer
+Packaged: 2018-06-05 09:56:27 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Roger Bivand [aut],
   Barry Rowlingson [ctb],
@@ -54,7 +55,8 @@
   Michael Sumner [ctb],
   Don MacQueen [ctb],
   Jim Lemon [ctb],
-  Josh O'Brien [ctb]
+  Josh O'Brien [ctb],
+  Joseph O'Rourke [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2017-06-29 09:07:36 UTC
+Date/Publication: 2018-06-05 13:58:03 UTC

## r-cran-sp 1.3-1

=== debian/changelog ===
r-cran-sp (1:1.3-1-2) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Drop test that has probably wrong data for comparison

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 16:11:33 +0200

r-cran-sp (1:1.3-1-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jun 2018 08:33:10 +0200

=== debian/control ===
Source: r-cran-sp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-lattice
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
Homepage: https://cran.r-project.org/package=sp

Package: r-cran-sp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R classes and methods for spatial data
 This GNU R package provides classes and methods for spatial data. The
 classes document where the spatial location information resides, for 2D or
 3D data.  Utility functions are provided, e.g. for plotting data as maps,
 spatial selection, as well as methods for retrieving coordinates, for
 subsetting, print, summary, etc.

## r-cran-sp 1.3-2

=== debian/changelog ===
r-cran-sp (1:1.3-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 11:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp

## r-cran-sp 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sp
-Version: 1.3-1
+Version: 1.4-6
 Title: Classes and Methods for Spatial Data
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 				email = "edzer.pebesma@uni-muenster.de"),
@@ -11,12 +11,13 @@
 			person("Michael", "Sumner", role = "ctb"),
 			person("Don", "MacQueen", role = "ctb"),
 			person("Jim", "Lemon", role = "ctb"),
+                        person("Finn", "Lindgren", role = "ctb"),
 			person("Josh", "O'Brien", role = "ctb"),
 			person("Joseph", "O'Rourke", role = "ctb"))
 Depends: R (>= 3.0.0), methods
 Imports: utils, stats, graphics, grDevices, lattice, grid
-Suggests: RColorBrewer, rgdal (>= 0.8-7), rgeos (>= 0.3-13), gstat,
-        maptools, deldir
+Suggests: RColorBrewer, rgdal (>= 1.2-3), rgeos (>= 0.3-13), gstat,
+        maptools, deldir, knitr, rmarkdown
 Description: Classes and methods for spatial
   data; the classes document where the spatial location information
   resides, for 2D or 3D data. Utility functions are provided, e.g. for
@@ -45,8 +46,9 @@
         gridlines.R spdists.R rbind.R flipSGDF.R chfids.R loadmeuse.R
         compassRose.R surfaceArea.R spOptions.R subset.R disaggregate.R
         sp_spat1.R merge.R aggregate.R
+VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2018-06-05 09:56:27 UTC; edzer
+Packaged: 2021-11-13 15:42:06 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Roger Bivand [aut],
   Barry Rowlingson [ctb],
@@ -55,8 +57,9 @@
   Michael Sumner [ctb],
   Don MacQueen [ctb],
   Jim Lemon [ctb],
+  Finn Lindgren [ctb],
   Josh O'Brien [ctb],
   Joseph O'Rourke [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2018-06-05 13:58:03 UTC
+Date/Publication: 2021-11-14 16:00:02 UTC

## r-cran-sp 1.4-0

=== debian/changelog ===
r-cran-sp (1:1.4-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 18:14:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/sp_([-\d.]*)\.tar\.gz

## r-cran-sp 1.4-2

=== debian/changelog ===
r-cran-sp (1:1.4-2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:24:59 +0000

r-cran-sp (1:1.4-2-2) unstable; urgency=medium

  * Team upload.
  * Re-write DEP-8 tests to avoid to compare "expected" outputs (*.Rout.save)
     with our outputs. They are not expected to be identical, the
     "CRAN Package Check Results" show differences.
     Comparing theses outputs produce a lot of false positive.
     (Closes: #961485)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 27 May 2020 09:31:48 +0200

r-cran-sp (1:1.4-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 15:56:57 +0200

r-cran-sp (1:1.4-1-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 11:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -11,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp
+Rules-Requires-Root: no
 
 Package: r-cran-sp
 Architecture: any

## r-cran-sp 1.4-5

=== debian/changelog ===
r-cran-sp (1:1.4-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:51:03 +0100

r-cran-sp (1:1.4-4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp

## r-cran-sp 1.4-6

=== debian/changelog ===
r-cran-sp (1:1.4-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4-6

 -- Nilesh Patra <nilesh@debian.org>  Tue, 16 Nov 2021 02:34:42 +0530

## r-cran-sp 1.5-0+dfsg

=== debian/changelog ===
r-cran-sp (1:1.5-0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jun 2022 15:36:53 +0200

r-cran-sp (1:1.4-7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Sat, 28 May 2022 23:29:40 +0200

## r-cran-sp 1.5-1+dfsg

=== debian/changelog ===
r-cran-sp (1:1.5-1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 11:44:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-sp
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
+Homepage: https://cran.r-project.org/package=sp
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-lattice
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
-Homepage: https://cran.r-project.org/package=sp
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-sp
 Architecture: any

## r-cran-sp 1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sp
-Version: 1.4-6
+Version: 1.6-0
 Title: Classes and Methods for Spatial Data
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 				email = "edzer.pebesma@uni-muenster.de"),
@@ -17,7 +17,7 @@
 Depends: R (>= 3.0.0), methods
 Imports: utils, stats, graphics, grDevices, lattice, grid
 Suggests: RColorBrewer, rgdal (>= 1.2-3), rgeos (>= 0.3-13), gstat,
-        maptools, deldir, knitr, rmarkdown
+        maptools, deldir, knitr, rmarkdown, sf
 Description: Classes and methods for spatial
   data; the classes document where the spatial location information
   resides, for 2D or 3D data. Utility functions are provided, e.g. for
@@ -48,7 +48,7 @@
         sp_spat1.R merge.R aggregate.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-11-13 15:42:06 UTC; edzer
+Packaged: 2023-01-19 21:40:20 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Roger Bivand [aut],
   Barry Rowlingson [ctb],
@@ -62,4 +62,4 @@
   Joseph O'Rourke [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2021-11-14 16:00:02 UTC
+Date/Publication: 2023-01-19 23:30:02 UTC

## r-cran-sp 1.6-0+dfsg

=== debian/changelog ===
r-cran-sp (1:1.6-0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 17:16:16 +0100

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/sp_([-\d.]*)\.tar\.gz

## r-cran-sp 2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sp
-Version: 1.6-0
+Version: 2.0-0
 Title: Classes and Methods for Spatial Data
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 				email = "edzer.pebesma@uni-muenster.de"),
@@ -14,15 +14,19 @@
                         person("Finn", "Lindgren", role = "ctb"),
 			person("Josh", "O'Brien", role = "ctb"),
 			person("Joseph", "O'Rourke", role = "ctb"))
-Depends: R (>= 3.0.0), methods
+Depends: R (>= 3.2.0), methods
 Imports: utils, stats, graphics, grDevices, lattice, grid
 Suggests: RColorBrewer, rgdal (>= 1.2-3), rgeos (>= 0.3-13), gstat,
-        maptools, deldir, knitr, rmarkdown, sf
+        maptools, deldir, knitr, rmarkdown, sf, terra, raster
 Description: Classes and methods for spatial
   data; the classes document where the spatial location information
   resides, for 2D or 3D data. Utility functions are provided, e.g. for
   plotting data as maps, spatial selection, as well as methods for
-  retrieving coordinates, for subsetting, print, summary, etc.
+  retrieving coordinates, for subsetting, print, summary, etc. From this
+  version, evolution status is set to '2L' using 'sf' in place of 'rgdal',
+  see <https://r-spatial.org/r/2023/05/15/evolution4.html> for details.
+  Retiring packages 'maptools', 'rgdal' and 'rgeos' will be dropped by
+  October 2023.
 License: GPL (>= 2)
 URL: https://github.com/edzer/sp/ https://edzer.github.io/sp/
 BugReports: https://github.com/edzer/sp/issues
@@ -45,10 +49,10 @@
         asciigrid.R spplot.R over.R spsample.R recenter.R dms.R
         gridlines.R spdists.R rbind.R flipSGDF.R chfids.R loadmeuse.R
         compassRose.R surfaceArea.R spOptions.R subset.R disaggregate.R
-        sp_spat1.R merge.R aggregate.R
+        sp_spat1.R merge.R aggregate.R elide.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-01-19 21:40:20 UTC; edzer
+Packaged: 2023-06-20 19:21:21 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Roger Bivand [aut],
   Barry Rowlingson [ctb],
@@ -62,4 +66,4 @@
   Joseph O'Rourke [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2023-01-19 23:30:02 UTC
+Date/Publication: 2023-06-22 07:40:02 UTC

## r-cran-sp 2.0-0+dfsg

=== debian/changelog ===
r-cran-sp (1:2.0-0+dfsg-2) unstable; urgency=medium

  * Drop rgdal from Test-Depends
    Closes: #1042426, #1049438

 -- Andreas Tille <tille@debian.org>  Sat, 19 Aug 2023 17:55:38 +0200

r-cran-sp (1:2.0-0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 12:00:25 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rcolorbrewer,
#        r-cran-rgdal (>= 1.2-3), # will be archived in October 2023
#        r-cran-rgeos (>= 0.3-13), # will be archived in October 2023
        r-cran-gstat,
#        r-cran-maptools, # will be archived in October 2023
        r-cran-deldir,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-sf,
        r-cran-terra,
        r-cran-raster
Restrictions: allow-stderr

## r-cran-sp 2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sp
-Version: 2.0-0
+Version: 2.1-2
 Title: Classes and Methods for Spatial Data
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 				email = "edzer.pebesma@uni-muenster.de"),
@@ -13,20 +13,19 @@
 			person("Jim", "Lemon", role = "ctb"),
                         person("Finn", "Lindgren", role = "ctb"),
 			person("Josh", "O'Brien", role = "ctb"),
-			person("Joseph", "O'Rourke", role = "ctb"))
-Depends: R (>= 3.2.0), methods
+			person("Joseph", "O'Rourke", role = "ctb"),
+                        person("Patrick", "Hausmann", role = "ctb"))
+Depends: R (>= 3.5.0), methods
 Imports: utils, stats, graphics, grDevices, lattice, grid
-Suggests: RColorBrewer, rgdal (>= 1.2-3), rgeos (>= 0.3-13), gstat,
-        maptools, deldir, knitr, rmarkdown, sf, terra, raster
+Suggests: RColorBrewer, gstat, deldir, knitr, rmarkdown, sf, terra,
+        raster
 Description: Classes and methods for spatial
   data; the classes document where the spatial location information
   resides, for 2D or 3D data. Utility functions are provided, e.g. for
   plotting data as maps, spatial selection, as well as methods for
   retrieving coordinates, for subsetting, print, summary, etc. From this
-  version, evolution status is set to '2L' using 'sf' in place of 'rgdal',
+  version, 'rgdal', 'maptools', and 'rgeos' are no longer used at all,
   see <https://r-spatial.org/r/2023/05/15/evolution4.html> for details.
-  Retiring packages 'maptools', 'rgdal' and 'rgeos' will be dropped by
-  October 2023.
 License: GPL (>= 2)
 URL: https://github.com/edzer/sp/ https://edzer.github.io/sp/
 BugReports: https://github.com/edzer/sp/issues
@@ -49,10 +48,10 @@
         asciigrid.R spplot.R over.R spsample.R recenter.R dms.R
         gridlines.R spdists.R rbind.R flipSGDF.R chfids.R loadmeuse.R
         compassRose.R surfaceArea.R spOptions.R subset.R disaggregate.R
-        sp_spat1.R merge.R aggregate.R elide.R
+        sp_spat1.R merge.R aggregate.R elide.R sp2Mondrian.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-06-20 19:21:21 UTC; edzer
+Packaged: 2023-11-26 11:02:23 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Roger Bivand [aut],
   Barry Rowlingson [ctb],
@@ -63,7 +62,8 @@
   Jim Lemon [ctb],
   Finn Lindgren [ctb],
   Josh O'Brien [ctb],
-  Joseph O'Rourke [ctb]
+  Joseph O'Rourke [ctb],
+  Patrick Hausmann [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2023-06-22 07:40:02 UTC
+Date/Publication: 2023-11-26 23:20:07 UTC

## r-cran-sp 2.1-2+dfsg

=== debian/changelog ===
r-cran-sp (1:2.1-2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:27:42 +0100

r-cran-sp (1:2.1-1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 15:15:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rcolorbrewer,
        r-cran-gstat,
        r-cran-deldir,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-sf,
        r-cran-terra,
        r-cran-raster
Restrictions: allow-stderr

## r-cran-sp 2.1-4+dfsg

=== debian/changelog ===
r-cran-sp (1:2.1-4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 09:34:32 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-sp 2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sp
-Version: 2.1-2
+Version: 2.2-1
 Title: Classes and Methods for Spatial Data
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 				email = "edzer.pebesma@uni-muenster.de"),
@@ -14,11 +14,12 @@
                         person("Finn", "Lindgren", role = "ctb"),
 			person("Josh", "O'Brien", role = "ctb"),
 			person("Joseph", "O'Rourke", role = "ctb"),
-                        person("Patrick", "Hausmann", role = "ctb"))
+            person("Patrick", "Hausmann", role = "ctb"),
+            person("Sebastian", "Meyer", role = "ctb"))
 Depends: R (>= 3.5.0), methods
 Imports: utils, stats, graphics, grDevices, lattice, grid
-Suggests: RColorBrewer, gstat, deldir, knitr, rmarkdown, sf, terra,
-        raster
+Suggests: RColorBrewer, gstat, deldir, knitr, maps, mapview, rmarkdown,
+        sf, terra, raster
 Description: Classes and methods for spatial
   data; the classes document where the spatial location information
   resides, for 2D or 3D data. Utility functions are provided, e.g. for
@@ -51,7 +52,7 @@
         sp_spat1.R merge.R aggregate.R elide.R sp2Mondrian.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-11-26 11:02:23 UTC; edzer
+Packaged: 2026-02-12 22:13:59 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Roger Bivand [aut],
   Barry Rowlingson [ctb],
@@ -63,7 +64,8 @@
   Finn Lindgren [ctb],
   Josh O'Brien [ctb],
   Joseph O'Rourke [ctb],
-  Patrick Hausmann [ctb]
+  Patrick Hausmann [ctb],
+  Sebastian Meyer [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2023-11-26 23:20:07 UTC
+Date/Publication: 2026-02-13 10:30:02 UTC

## r-cran-sp 2.2-0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
 Homepage: https://cran.r-project.org/package=sp
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-sp 2.2-0+dfsg

=== debian/changelog ===
r-cran-sp (1:2.2-0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 25 Feb 2025 12:57:55 +0900

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
         r-cran-gstat,
         r-cran-deldir,
         r-cran-knitr,
+        r-cran-maps,
         r-cran-rmarkdown,
         r-cran-sf,
         r-cran-terra,

## r-cran-sp 2.2-1+dfsg

=== debian/changelog ===
r-cran-sp (1:2.2-1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 19 Feb 2026 08:43:29 +0900

=== debian/control ===
Source: r-cran-sp
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-lattice,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sp.git
Homepage: https://cran.r-project.org/package=sp
Rules-Requires-Root: no

Package: r-cran-sp
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R classes and methods for spatial data
 This GNU R package provides classes and methods for spatial data. The
 classes document where the spatial location information resides, for 2D or
 3D data.  Utility functions are provided, e.g. for plotting data as maps,
 spatial selection, as well as methods for retrieving coordinates, for
 subsetting, print, summary, etc.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-rcolorbrewer,
 r-cran-gstat,
 r-cran-deldir,
 r-cran-knitr,
 r-cran-maps,
 r-cran-rmarkdown,
 r-cran-sf,
 r-cran-terra,
 r-cran-raster,
